# Generated by Django 3.0.11 on 2021-01-21 21:06

import address.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('address', '0003_auto_20200830_1851'),
        ('registration', '0001_initial'),
        ('participation', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='tournament',
            name='organizers',
            field=models.ManyToManyField(related_name='organized_tournaments', to='registration.VolunteerRegistration', verbose_name='organizers'),
        ),
        migrations.AddField(
            model_name='tournament',
            name='place',
            field=address.models.AddressField(on_delete=django.db.models.deletion.CASCADE, to='address.Address', verbose_name='place'),
        ),
        migrations.AddIndex(
            model_name='team',
            index=models.Index(fields=['trigram'], name='participati_trigram_239255_idx'),
        ),
        migrations.AddField(
            model_name='synthesis',
            name='participation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='participation.Participation', verbose_name='participation'),
        ),
        migrations.AddField(
            model_name='synthesis',
            name='passage',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='syntheses', to='participation.Passage', verbose_name='passage'),
        ),
        migrations.AddField(
            model_name='solution',
            name='participation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='solutions', to='participation.Participation', verbose_name='participation'),
        ),
        migrations.AddField(
            model_name='pool',
            name='juries',
            field=models.ManyToManyField(related_name='jury_in', to='registration.VolunteerRegistration', verbose_name='juries'),
        ),
        migrations.AddField(
            model_name='pool',
            name='participations',
            field=models.ManyToManyField(related_name='pools', to='participation.Participation', verbose_name='participations'),
        ),
        migrations.AddField(
            model_name='pool',
            name='tournament',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pools', to='participation.Tournament', verbose_name='tournament'),
        ),
        migrations.AddField(
            model_name='passage',
            name='defender',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='participation.Participation', verbose_name='defender'),
        ),
        migrations.AddField(
            model_name='passage',
            name='opponent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='participation.Participation', verbose_name='opponent'),
        ),
        migrations.AddField(
            model_name='passage',
            name='pool',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='passages', to='participation.Pool', verbose_name='pool'),
        ),
        migrations.AddField(
            model_name='passage',
            name='reporter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='participation.Participation', verbose_name='reporter'),
        ),
        migrations.AddField(
            model_name='participation',
            name='team',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='participation.Team', verbose_name='team'),
        ),
        migrations.AddField(
            model_name='participation',
            name='tournament',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='participation.Tournament', verbose_name='tournament'),
        ),
        migrations.AddField(
            model_name='note',
            name='jury',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='notes', to='registration.VolunteerRegistration', verbose_name='jury'),
        ),
        migrations.AddField(
            model_name='note',
            name='passage',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='notes', to='participation.Passage', verbose_name='passage'),
        ),
        migrations.AddIndex(
            model_name='tournament',
            index=models.Index(fields=['name', 'date_start', 'date_end'], name='participati_name_b43174_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='synthesis',
            unique_together={('participation', 'passage', 'type')},
        ),
        migrations.AlterUniqueTogether(
            name='solution',
            unique_together={('participation', 'problem', 'final_solution')},
        ),
    ]
